#!/usr/bin/perl
#on Windows, it's better to use wperl to run this script - no console window will appear then.

=head1 

This is a helper script to start web-based UI for Stunnix Obfuscators.
It is not useful for Windows since installer adds proper entry to Start Menu.

If nothing appears when you run it, add '-t' to the command line to see the trace.

=cut


use strict;
eval("use FindBin;");
if (length($@)) {
    print <<EOF
Some Perl modules (FindBin) are absent in your system. If you are using Debian, do this in console:
    sudo apt-get update; sudo apt-get install libfindbin-libs-perl
or install "libfindbin-libs-perl" package, and then try running startui.pl again.
EOF
    ;
    exit 1;
};

eval("use Data::Dumper;");
if (length($@)) {
    print <<EOF
Some Perl modules (Data::Dumper) are absent in your system. If you are using Redhat-based Linux distro (Fedora, CentOS or RHEL), do this in console:
    sudo yum install perl-Data-Dumper
or install "perl-Data-Dumper" package, and then try running startui.pl again.
EOF
    ;
    exit 1;
};


eval("use CGI;");
if (length($@)) {
    print <<EOF
Some Perl modules (CGI) are absent in your system. If you are using Redhat-based Linux distro (Fedora, CentOS or RHEL), do this in console:
    sudo yum install perl-CGI
or install "perl-CGI" package, and then try running startui.pl again.
EOF
    ;
    exit 1;
};

eval("use Digest::MD5;");
if (length($@)) {
    print <<EOF
Some Perl modules (perl-Digest-MD5) are absent in your system. If you are using Redhat-based Linux distro (Fedora, CentOS or RHEL), do this in console:
    sudo yum install perl-Digest-MD5
or install "perl-Digest-MD5" package, and then try running startui.pl again.
EOF
    ;
    exit 1;
};




$ENV{PERL5LIB}='';
chdir  "$FindBin::Bin/../lib/gui/site/stunnixwebsrv/"  || chdir "$FindBin::Bin/../lib/stunnix-webserver/";

if (0 && #it should now start on 64-bit linuxes just fine
$^O =~ /linux/i && -r 'check-linux-32bit-support')
{
    my $r = system('./check-linux-32bit-support');
    my $exit_value  = $? >> 8;
    if ($exit_value != 0)
    {
        print <<"EOF"
Your installation of Linux does not have libraries for 32 bit apps installed. The product will not work until you install them.

To install them on Ubuntu or Debian, run:
  sudo apt-get update; sudo apt-get install ia32-libs
    - and if it fails, run 
        sudo apt-get install lib32z1 lib32ncurses5 lib32bz2-1.0

To install them on RedHat-based distros (Fedora, CentOS, RHEL), run
  sudo yum install redhat-lsb.i686

To install them on SuSE, run
  sudo zypper install lsb-core-ia32 zlib-32bit

EOF
	;
	exit 1;
    }
}

my @args = ();
my $trace = 0;
if ($ARGV[0] eq '-t')
{
    $trace = 1;
    @args = qw(_debug 1);

}

if ($^O =~ /Win32/i)
{
    my $perlpath = $^X;
    if ($trace) {
	$perlpath =~ s,[/\\]wperl.exe$,\\perl.exe,i;
    } else {
	$perlpath =~ s,[/\\]perl.exe$,\\wperl.exe,i;
    }
    system("\"$perlpath\" startsite.pl " . join(' ',@args));
} else {
    system("./startsite.pl",@args);
};

